<?php

namespace Drupal\contact_poup\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\Core\Url;

/**
 * Provides a 'ContactPopupBlock' block.
 *
 * @Block(
 *  id = "contact_popup_block",
 *  admin_label = @Translation("Contact popup block"),
 * )
 */
class ContactPopupBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    $url = Url::fromRoute('contact.site_page');
    $link_options = array(
      'attributes' => array(
        'class' => array(
          'use-ajax',
          'Contact-form',
        ),
        'data-dialog-type' => 'modal',
      ),
    );
    $url->setOptions($link_options);
    $link = \Drupal::l(t('Contact'), $url);
    $build = [];
    $build['contact_popup_block_contact']['#markup'] = '<div class="contact-popup-link">' . $link . '</div>';
    $build['contact_popup_block_contact']['#attached']['library'][] = 'core/drupal.dialog.ajax';

    return $build;
  }

}
